import PySimpleGUI as sg

sg.set_options(font=("Courier", 30))

layout = [[sg.Slider(range=(0, 255), orientation="h", key="-RED-")],
          [sg.Slider(range=(0, 255), orientation="h", key="-GREEN-")],
          [sg.Slider(range=(0, 255), orientation="h", key="-BLUE-")],
          [sg.Button("Beenden", key="-QUIT-")]
]

window = sg.Window("Farbmixer", layout)

def rgb_to_hex(r, g, b):
    return "#{:02x}{:02x}{:02x}".format(r, g, b)

while(True):
    event, values = window.read(timeout=100)
    
    if event == sg.WIN_CLOSED or event == "-QUIT-":
        break
    
    red = int(values["-RED-"])
    green = int(values["-GREEN-"])
    blue = int(values["-BLUE-"])
    
    color = rgb_to_hex(red, green, blue)
    
    window["-QUIT-"].update(button_color=('white', color))
    
window.close()