import PySimpleGUI as sg

sg.set_options(font=("Courier", 30))

layout = [[sg.Slider(range=(0, 255), orientation="h", key="-RED-")],
          [sg.Slider(range=(0, 255), orientation="h", key="-GREEN-")],
          [sg.Slider(range=(0, 255), orientation="h", key="-BLUE-")],
          [sg.Button("Beenden", key="-QUIT-")]
]

window = sg.Window("Farbmixer", layout)

# Diese Funktion wandelt drei Werte für rot, grün und blau
# in den ensprechenden Hex String um:
def rgb_to_hex(r, g, b):
    return "#{:02x}{:02x}{:02x}".format(r, g, b)

while(True):
    # timeout=100 sorgt dafür, dass die values 10 mal
    # pro Sekunde ausgelesen werden, anstatt auf eine
    # Eingabe zu warten:
    event, values = window.read(timeout=100)
    
    if event == sg.WIN_CLOSED or event == "-QUIT-":
        break
    
    # Die Werte der Slider sind float, also Dezimalzahlen.
    # Sie müssen noch in ganze Zahlen (int) umgewandelt werden.
    # Das erledigt die Funktion int():
    red = int(values["-RED-"])
    green = int(values["-GREEN-"])
    blue = int(values["-BLUE-"])
    
    # Wir nutzen die oben definierte Funktion, um den hex-Wert zu erhalten:
    color = rgb_to_hex(red, green, blue)
    
    # Wir schnappen uns den Quit-Button per window["-QUIT-"]
    # und ändern die Farbe mit .update(button_color=(...)):
    window["-QUIT-"].update(button_color=('white', color))
    
window.close()