import PySimpleGUI as sg

sg.set_options(font=("Courier", 30),
               background_color="yellow",
               element_background_color="#32CD32",
               button_color=('white', 'blue'))

layout = [
    [sg.Input(key="-EINGABE-")],
    [sg.Button("Übertragen", key="-UEBERTRAGEN-")],
    [sg.Button("Testknopf", key="-TEST-")],
    [sg.Combo(["Apfel", "Birne", "Banane"],
              default_value="Banane",
              enable_events=True,
              key="-AUSWAHL-")],

    [sg.Slider(range=(0, 255),
               default_value=128,
               orientation='h',
               enable_events=True,
               key="-REGLER-")],
    [sg.Input(key="-AUSGABE-", disabled=True)],
    [sg.Button("Beenden", key="-BEENDEN-")]
]

window = sg.Window("Minimalbeispiel",
                   layout,
                   size=(500, 450))

while True:
    event, values = window.read()
    # print("event:", event)
    # print("values:", values)
    
    if event == sg.WIN_CLOSED or event == "-BEENDEN-":
        break

    if event == "-UEBERTRAGEN-":
        text_eingabe = values["-EINGABE-"]
        window["-AUSGABE-"].update(text_eingabe)
        
    if event == "-TEST-":
        window["-AUSGABE-"].update("Testknopf gedrückt!")
        
    if event == "-AUSWAHL-":
        nachricht = values["-AUSWAHL-"] + " ausgewählt!"
        window["-AUSGABE-"].update(nachricht)
        
    if event == "-REGLER-":
        nachricht = "Regler: " + str(values["-REGLER-"])
        window["-AUSGABE-"].update(nachricht)

window.close()