import PySimpleGUI as sg

sg.set_options(font=("Courier", 30),
               # Farbangaben per Html-Farbnamen oder im Hex-Code:
               background_color="yellow",
               element_background_color="#32CD32",
               # Button-Farben für gedrückt und losgelassen:
               button_color=('white', 'blue'))

layout = [
    [sg.Input(key="-EINGABE-")],
    [sg.Button("Übertragen", key="-UEBERTRAGEN-")],
    # NEU: Testknopf
    [sg.Button("Testknopf", key="-TEST-")],
    # NEU: Combo (=Drop-Down-Menü):
              # erstes Argument immer Liste mit Auswahlmöglichkeiten
    [sg.Combo(["Apfel", "Birne", "Banane"],
              # Standard Wert:
              default_value="Banane",
              # Die Liste soll Events erzeugen bei Nutzung:
              enable_events=True,
              key="-AUSWAHL-")],
    # NEU: Slider:
               # Wertebereich:
    [sg.Slider(range=(0, 255),
               # Standard Wert:
               default_value=128,
               # Ausrichtung 'h' oder 'v':
               orientation='h',
               # Events bei Nutzung:
               enable_events=True,
               key="-REGLER-")],
    # Alle Ausgaben landen hier:
    [sg.Input(key="-AUSGABE-", disabled=True)],
    [sg.Button("Beenden", key="-BEENDEN-")]
]

window = sg.Window("Minimalbeispiel",
                   layout,
                   size=(500, 450))

while True:
    event, values = window.read()
    # Die beiden folgenden Zeilen auskommentieren (# entfernen)
    # um events und values zu sehen:
    # print("event:", event)
    # print("values:", values)
    
    if event == sg.WIN_CLOSED or event == "-BEENDEN-":
        break

    if event == "-UEBERTRAGEN-":
        # So kommt ihr an die Werte heran:
        text_eingabe = values["-EINGABE-"]
        # So kommt ihr an die Elemente heran:
        window["-AUSGABE-"].update(text_eingabe)
        
    if event == "-TEST-":
        window["-AUSGABE-"].update("Testknopf gedrückt!")
        
    if event == "-AUSWAHL-":
        nachricht = values["-AUSWAHL-"] + " ausgewählt!"
        window["-AUSGABE-"].update(nachricht)
        
    if event == "-REGLER-":
        nachricht = "Regler: " + str(values["-REGLER-"])
        window["-AUSGABE-"].update(nachricht)

window.close()