# Import des PySimpleGUI-Moduls unter dem Kürzel sg
import PySimpleGUI as sg

# Wir setzten die Option 'font' auf ("Courier", 30),
# damit die Schrift nicht so winzig ist!
sg.set_options(font=("Courier", 30))

# Das Layout ist eine zweidimensiopnale Tabelle!
# Jede Zeile der Tabelle ist eine Zeile im Layout!
# Das Schlüsselwortargument "key" legt den Namen des Elementes fest.
layout = [
    # Das Eingabefeld
    [sg.Input(key="-EINGABE-")],
    # Der Button "Übertragen"
    [sg.Button("Übertragen", key="-UEBERTRAGEN-")],
    # Das Ausgabefeld
    [sg.Input(key="-AUSGABE-", disabled=True)],
    # Der Button "Beenden"
    [sg.Button("Beenden", key="-BEENDEN-")]
]

# Hier erzeugen wir das Hauptfenster.
# Das zweite Argument ist immer das layout!
window = sg.Window("Minimalbeispiel",
                   layout,
                   size=(300, 250))

# Die Hauptschleife unseres Programms:
while True:
    # window.read() liefert das Event: welcher Knopf wurde gedrückt?
    # und values: ein Verzeichnis (genauer: Dictionary), das die Zustände
    # aller GUI Elemente enthält.
    event, values = window.read()

    # Wenn das Event sg.WIN_CLOSED war (das Hauptfenster wurde geschlossen)
    # oder der "Beenden"-Knopf gedrückt wurde...
    if event == sg.WIN_CLOSED or event == "-BEENDEN-":
        # springe aus der Hauptschleife
        break

    # Wenn der "Übertragen"-Knopf gedrückt wurde...
    if event == "-UEBERTRAGEN-":
        # wird der inhalt des Eingabefeldes kopiert...
        text_eingabe = values["-EINGABE-"]
        # und in das Ausgabefeld geschrieben
        window["-AUSGABE-"].update(text_eingabe)

# Diese Zeile wird nur erreicht, wenn die Hauptschleife verlassen wurde.
# Sie schließt das Hauptfenster, falls es nicht schon geschlossen ist:
window.close()